<?php 

class XML_getschema {
    var $my_schema;
    var $document_root;

    function XML_getschema($xml) {
	$this->my_schema = '';
	$this->document_root = 1;
	$xp = xml_parser_create();
	xml_parser_set_option($xp, XML_OPTION_CASE_FOLDING, 0);
	xml_set_element_handler($xp, array(&$this, "elem_begin"),
	    array(&$this, "elem_end"));
	xml_parse($xp, $xml);
	xml_parser_free($xp);
    }

    function elem_end($xp, $elem) {}

    function elem_begin($xp, $elem, $att) {
	if ($this->document_root) {
	    $this->my_schema = $elem;
	    $this->document_root = 0;
	}
    }

    function schema() {
	return $this->my_schema;
    }
}

?>
