<?php

function scheme_tkl_search($scheme, $path) {
    if (!preg_match('/\/\/((.*?)(:([0-9]*))?(\/[^\?]*))(\?(.*))?/', $path,
								$match)) {
	print "Malformed path for tkl-search";
	return '';
    }
    $target = $match[1];
    $args = $match[7];
    $att = array('target' => $target, 'wrap' => 1);
    if ($args) {
	foreach (explode('&', $args) as $arg) {
	    preg_match("/^([^=]*)=(.*)$/", $arg, $match);
	    $name = $match[1];
	    $value = $match[2];
	    if (!$name || !$value) {
		print "Bad attribute to search: $arg";
		return '';
	    }
	    $att[$name] = $value;
	}
    }
    return "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n" . function_search($att);
}

?>
