#!/usr/bin/perl -w

use MyOAI;
use strict;

my $oai = new MyOAI;

$oai->oai_option(url => 'http://www.bizigate.dk/deftool-erhverv/oai/erhverv/');
$oai->set_callback(metadata => \&handle_record);

my $r = $oai->oai_request(verb => 'ListRecords', metadataPrefix => 'oai_dc');

while ($r->is_success) {
    last unless $oai->incomplete;
    print "Document incomplete, fetched ", $oai->harvested , "/", $oai->completeListSize, "\n";
    print "Reconnecting...\n\n";
    $r = $oai->oai_request;
}

print "Connection error: ", $r->status_line, "\n\n" unless $r->is_success;


sub handle_record {
    my ($oai_obj, $raw_xml) = @_;
}


## $Log: test_oai.pl,v $
## Revision 1.1  2002/11/01 12:31:51  sondberg
## Added a decent test script.
##

